SERP AI Overview and AI Mode
curl --request GET \
--url https://www.fetchserp.com/api/v1/serp_ai_mode \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fetchserp.com/api/v1/serp_ai_mode"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fetchserp.com/api/v1/serp_ai_mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"results": [
{
"ai_overview": {
"content": "<string>",
"sources": [
{
"site_name": "<string>",
"url": "<string>",
"title": "<string>",
"description": "<string>",
"ranking": 123
}
]
},
"ai_mode_response": {
"content": "<string>",
"sources": [
{
"site_name": "<string>",
"url": "<string>",
"title": "<string>",
"description": "<string>",
"ranking": 123
}
]
}
}
]
}
}{
"error": "<string>"
}{
"success": true,
"message": "<string>"
}{
"error": "<string>"
}{
"status": 123,
"error": "<string>"
}Api
SERP AI Overview and AI Mode
This endpoint returns the AI overview and AI mode response of the SERP. It is less reliable than the SERP AI Overview and AI Mode 2 steps endpoint but can return in less than 30 seconds.
GET
/
api
/
v1
/
serp_ai_mode
SERP AI Overview and AI Mode
⌘I